Subject: bug#13823: 24.3.50; Elisp manual description of property `pure'

From: Christopher Schmidt <[email-masked]>
Date: Tue, 26 Feb 2013 21:13:57 +0000 (GMT)

Stefan Monnier <[email-masked]> writes:
> If you can come up with a good description of what it does, I'm
> all ears.

There is a nice description of pure in byte-opt.el

    ;; pure functions are side-effect free functions whose values depend
    ;; only on their arguments. For these functions, calls with constant
    ;; arguments can be evaluated at compile time. This may shift run
    ;; time errors to compile time.

        Christopher (<- who would like to see pure documented)